boost::geometry::range::back_insert_iterator< Container > Class Template Reference

List of all members.

## Public Types

typedef Container | container_type

## Public Member Functions

| back_insert_iterator (Container &c)
back_insert_iterator & | operator* ()
back_insert_iterator & | operator++ ()
back_insert_iterator | operator++ (int)
back_insert_iterator & | operator= (typename Container::value_type const &value)

### template<class Container>
class boost::geometry::range::back_insert_iterator< Container >

## Member Typedef Documentation

template<class Container >

typedef Container boost::geometry::range::back_insert_iterator< Container >::container_type

## Constructor & Destructor Documentation

template<class Container >

boost::geometry::range::back_insert_iterator< Container >::back_insert_iterator | ( | Container & | c | ) | `[explicit]`

## Member Function Documentation

template<class Container >

back_insert_iterator& boost::geometry::range::back_insert_iterator< Container >::operator= | ( | typename Container::value_type const & | value | ) |

template<class Container >

back_insert_iterator& boost::geometry::range::back_insert_iterator< Container >::operator* | ( |  | ) |

template<class Container >

back_insert_iterator& boost::geometry::range::back_insert_iterator< Container >::operator++ | ( |  | ) |

template<class Container >

back_insert_iterator boost::geometry::range::back_insert_iterator< Container >::operator++ | ( | int |  | ) |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK